tell application "iCal"
	activate
	set myCalName to (choose from list (title of (every calendar) as list) with prompt "Choose Calendar for ToDos")
	if myCalName is false then return
		
	set myInfo to ""
		
	set myCal to (first calendar whose title is item 1 of myCalName)
	
	set myTodos to properties of todos of myCal
	
	tell application "Sticky Notes"
		activate		
	end tell
	
	repeat with myToDo in myTodos
		if (completion date of myToDo) contains missing value then
			try
				set dueDate to short date string of (due date of myToDo)
				on error
				set dueDate to ""
			end try
			if (description of myToDo) is not missing value then
				set myDesc to (return & tab & tab & description of myToDo)
				else
				set myDesc to ""
			end if
			
			if (dueDate) is not equal to "" then
				set thisToDo to summary of myToDo & " (" & dueDate & ") " & myDesc & return
			else
				set thisToDo to summary of myToDo & " " & myDesc & return			
			end if			
			
			tell application "Sticky Notes"
				set theNote to (new note)
				set the plain text of theNote to thisToDo
			end tell
			
			set myInfo to myInfo & thisToDo			
		end if
	end repeat

	return myInfo

end tell